Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031578
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] C. Securitymajorhave not tried2015-11-25 13:262015-12-02 11:28
ReporteralostaleView Statuspublic 
Assigned Tocaristu 
PriorityimmediateResolutionfixedFixed in Version3.0PR15Q4.1
StatusclosedFix in branchFixed in SCM revision742cf5efa2d9
ProjectionnoneETAnoneTarget Version3.0PR15Q4.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031578: alert fetches with where parameter

DescriptionAlert window shouldn't fetch data using where parameter.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0031577 closedcaristu alert fetches with where parameter 

-  Notes
(0082497)
hgbot (developer)
2015-12-01 18:38

Repository: erp/backports/3.0PR15Q4.1
Changeset: 742cf5efa2d9d02a7b49efefd1a600bb4d414d7e
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Dec 01 18:36:24 2015 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR15Q4.1/rev/742cf5efa2d9d02a7b49efefd1a600bb4d414d7e [^]

fixes issue 31578: alert fetches with where parameter

In order to avoid the fetching of the where parameter we generate the where clause inside the datasource. A new datasource has been created, ADAlertDatasourceService, to support the requests from the Alert Management window.

In addition, it has been fixed a problem in the Alert Rule drop-down filter of the grids in the Alert Management window which was displaying alert rules from all the grids in the window instead of those displayed just on a particular grid.

---
M modules/org.openbravo.client.application/src-db/database/sourcedata/OBSERDS_DATASOURCE.xml
M modules/org.openbravo.client.application/src/org/openbravo/client/application/AlertManagementActionHandler.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/alert-management/ob-alert-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/alert-management/ob-alert-management-view.js
A modules/org.openbravo.client.application/src/org/openbravo/client/application/ADAlertDatasourceService.java
---
(0082521)
hgbot (developer)
2015-12-02 10:38

Repository: erp/backports/3.0PR15Q4.1
Changeset: 711164dd549bf0598ad90247c6b875d94717004f
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Dec 02 10:38:04 2015 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR15Q4.1/rev/711164dd549bf0598ad90247c6b875d94717004f [^]

related to issue 31578: code review improvements

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ADAlertDatasourceService.java
---
(0082526)
alostale (developer)
2015-12-02 11:28

code reviewed

tested:
* _where is not sent to DS
* limited role without any other access than alert management can:
  - see alerts
  - move to different status

- Issue History
Date Modified Username Field Change
2015-11-25 13:27 alostale Type defect => backport
2015-11-25 13:27 alostale Target Version => 3.0PR15Q4.2
2015-12-01 13:22 caristu Target Version 3.0PR15Q4.2 => 3.0PR15Q4.1
2015-12-01 18:38 caristu Assigned To platform => caristu
2015-12-01 18:38 hgbot Checkin
2015-12-01 18:38 hgbot Note Added: 0082497
2015-12-01 18:38 hgbot Status scheduled => resolved
2015-12-01 18:38 hgbot Resolution open => fixed
2015-12-01 18:38 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q4.1/rev/742cf5efa2d9d02a7b49efefd1a600bb4d414d7e [^]
2015-12-01 18:39 caristu Review Assigned To => alostale
2015-12-01 18:39 caristu Issue Monitored: alostale
2015-12-02 10:38 hgbot Checkin
2015-12-02 10:38 hgbot Note Added: 0082521
2015-12-02 11:28 alostale Note Added: 0082526
2015-12-02 11:28 alostale Status resolved => closed
2015-12-02 11:28 alostale Fixed in Version => 3.0PR15Q4.1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker